xdr_reserve_space
Prev | SUN RPC subsystem | Next

## Name

xdr_reserve_space — Reserve buffer space for sending

## Synopsis

`__be32 * xdr_reserve_space (` | struct xdr_stream * | xdr,
| size_t | nbytes`)`;

## Arguments

`xdr`

  pointer to xdr_stream

`nbytes`

  number of bytes to reserve

## Description

Checks that we have enough buffer space to encode 'nbytes' more bytes of data. If so, update the total xdr_buf length, and adjust the length of the current kvec.

Prev | Up | Next
xdr_init_encode | Home | xdr_write_pages